Subject: Re: [Question]About KVM network zero-copy feature!

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 13 Aug 2012 10:18:44 +0300

Last patchset version was this:
[PATCH v16 00/17] Provide a zero-copy method on KVM virtio-net

IIRC the main issue was the need to integrate the patchset with
macvtap (as opposed to using a separate device).

On Mon, Aug 13, 2012 at 09:24:54AM +0800, Peter Huang(Peng) wrote:
> Hi, Michael
> 
> IIt will be usefull if we can implement rx zero-copy, could you give
>  me some help if you know some technical details or some
> references on the internet?
> 
> I am wondering may be I can take a deep look on it first then decide
> if I can take it over or not.
> 
> Thanks a lot.
> 
> On 2012/8/12 17:37, Michael S. Tsirkin wrote:
> > On Sat, Aug 11, 2012 at 08:42:44PM -0400, Robert Vineyard wrote:
> >> (adding Xin Xiaohui to the conversation for comment)
> >>
> >> According to the NetworkingTodo page on the KVM wiki, zero-copy RX
> >> for macvtap is in fact on the roadmap, assigned to Xin:
> >>
> >> http://www.linux-kvm.org/page/NetworkingTodo
> > AFAIK Xin left Intel and is not working on it.
> > Contributions are welcome.
> >